package com.javacodegeeks.example.util;

import org.springframework.batch.core.ItemReadListener;



public class ReadListener implements ItemReadListener<User>{

	public void beforeRead() {
		System.out.println("Before reading an item");		
	}

	public void afterRead(User item) {
		System.out.println("After reading an item: "+ item.toString());		
	}

	public void onReadError(Exception ex) {
		System.out.println("Error occurred while reading an item!");		
	}
	
}
